Subject: [mdnsext] Simple idea for supporting scaling issues with small devices

From: Brian Dickson <[email-masked]>
Date: Tue, 6 Nov 2012 18:29:33 -0500

One level of indirection may be enough for situations where lots of small
devices are used, in environments bigger than they were originally designed
for.

E.g. consumer-level box that can handle a dozen or so devices. Combine a
bunch of these and they all fail.

Solution: add the notion of a "forwarder" to the box.

If the box is multi-link aware, it would need to include relevant
name/number info in the forwarded queries, but other than that, they could
all forward their traffic by caching local-net and forwarding queries for
non-local-net (without caching results), to a centralized bigger-class box
(which needn't be a router - could be a host application), via unicast.

The incremental configuration and hardware would be negligible, and still
be backwards-compatible for the clients.

Thoughts?
Brian